Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.scanner
Class ScannerImpl

    java.lang.Object
      org.yaml.snakeyaml.scanner.ScannerImpl

All Implemented Interfaces:
  Scanner

    public final class ScannerImpl

extends Object
implements Scanner

     Scanner produces tokens of the following types:
     STREAM-START
     STREAM-END
     DIRECTIVE(name, value)
     DOCUMENT-START
     DOCUMENT-END
     BLOCK-SEQUENCE-START
     BLOCK-MAPPING-START
     BLOCK-END
     FLOW-SEQUENCE-START
     FLOW-MAPPING-START
     FLOW-SEQUENCE-END
     FLOW-MAPPING-END
     BLOCK-ENTRY
     FLOW-ENTRY
     KEY
     VALUE
     ALIAS(value)
     ANCHOR(value)
     TAG(value)
     SCALAR(value, plain, style)
     Read comments in the Scanner code for more details.

Field Summary
`static Map<Character,Integer>` | `ESCAPE_CODES`
`static Map<Character,String>` | `ESCAPE_REPLACEMENTS`

Constructor Summary
`ScannerImpl(StreamReader reader)`

Method Summary
`boolean` | `checkToken(Token.ID... choices)` Check if the next token is one of the given types.
`Token` | `getToken()` Return the next token.
`Token` | `peekToken()` Return the next token, but do not delete if from the queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ESCAPE_REPLACEMENTS

    public static final Map<Character,String> ESCAPE_REPLACEMENTS

### ESCAPE_CODES

    public static final Map<Character,Integer> ESCAPE_CODES

Constructor Detail

### ScannerImpl

    public ScannerImpl(StreamReader reader)

Method Detail

### checkToken

    public boolean checkToken(Token.ID... choices)

  Check if the next token is one of the given types.

  Specified by:
    `checkToken` in interface `Scanner`
  Parameters:
    `choices` - token IDs.
  Returns:
    `true` if the next token can be assigned to a variable of at least one of the given types. Returns `false` if no more tokens are available.

### peekToken

    public Token peekToken()

  Return the next token, but do not delete if from the queue.

  Specified by:
    `peekToken` in interface `Scanner`
  Returns:
    The token that will be returned on the next call to `Scanner.getToken()`

### getToken

    public Token getToken()

  Return the next token.

  Specified by:
    `getToken` in interface `Scanner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.